# $Revision: 1.27 $, $Date: 2012/01/15 22:45:14 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	GnuPG
Summary:	GnuPG - Perl module interface to the GNU Privacy Guard
Summary(pl.UTF-8):	GnuPG - moduł interfejsu perlowego do GPG (GNU Privacy Guard)
Name:		perl-GnuPG
Version:	0.18
Release:	1
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{version}.tar.gz
# Source0-md5:	86f1a79389a0bede2db6bd758b464b8b
URL:		http://www.gnupg.org/
BuildRequires:	gnupg
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GnuPG is a Perl interface to the GNU Privacy Guard. It uses the shared
memory coprocess interface that gpg provides for its wrappers. It
tries its best to map the interactive interface of the gpg to a more
programmatic model.

%description -l pl.UTF-8
GnuPG to interfejs Perla do GPG (GNU Privacy Guard). Używa interfejsu
pamięci dzielonej, udostępnianego przez gpg. Próbuje jak najlepiej
odwzorować interaktywny interfejs gpg do bardziej programistycznego
modelu.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:TEST_SHARED_MEMORY=1 TEST_FILE_CACHE=1 %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{perl_vendorlib}/%{pdir}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README NEWS
%{perl_vendorlib}/*.pm
%{perl_vendorlib}/%{pdir}/Tie*
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-GnuPG.spec,v $
Revision 1.27  2012/01/15 22:45:14  zbyniu
- up to 0.18

Revision 1.26  2009/06/24 05:45:11  amateja
- updated to 0.10

Revision 1.25  2008/07/27 22:36:03  arekm
- release 6

Revision 1.24  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.22  2004/11/03 22:30:24  paladine
- formatting

Revision 1.21  2004/05/07 01:22:54  ankry
- rel. 5

Revision 1.20  2004/05/06 18:01:29  ankry
- fixed perl-devel BR

Revision 1.19  2004/04/25 00:50:55  ankry
- cosmetics: unification

Revision 1.18  2004/04/21 08:40:39  ankry
- license fixes/unification

Revision 1.17  2004/04/20 23:07:58  ankry
- ported to new bconds

Revision 1.16  2003/09/09 10:24:37  ankry
- spaces -> tab

Revision 1.15  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.14  2003/08/18 08:08:49  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.13  2003/05/28 13:00:39  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 06:24:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.10  2003/03/01 19:36:41  radek
- should be ready for perl-5.8.0; release++

Revision 1.9  2003/02/24 20:31:53  radek
- use the __perl macro

Revision 1.8  2003/02/18 15:32:46  ankry
- massive attack: change CPAN URLs

Revision 1.7  2002/12/25 23:45:36  radek
- BR: gnupg

Revision 1.6  2002/10/17 13:08:26  qboosh
- added missing dir and file, better descriptions, release 3

Revision 1.5  2002/10/16 13:04:28  ankry
- GnuPG dir moved to perl, rel 2.

Revision 1.4  2002/10/15 12:17:12  qboosh
- fixed bogus description

Revision 1.3  2002/10/15 11:56:43  ankry
- removed unnecessary dependencies and MANIFEST file

Revision 1.2  2002/10/14 20:24:42  tjbynum
- important perl module, STBR ASAP.

Revision 1.1  2002/10/14 19:06:06  tjbynum
- why it does not work...
